Subject: Use of __KERNEL_SYSCALLS__ ?

From: "Hyun-Mo Chung" <[email-masked]>
Date: Wed, 14 Jun 2000 15:16:05 +0900

Hi,

I'm porting USB Hub driver from 2.3.99 to rmk series of 2.2.2.
The driver calls kernel_thread(), which never causes any trouble in 2.3.99,
but does in 2.2.2.
The problem is, in 2.2.2, that the macro definition of kernel_thread() is
enclosed by

#ifdef __KERNEL_SYSCALLS__
#endif

pair in include/asm-arm/unistd.h and so a reference to kernel_thread() is
not resolved.

I have no idea what the __KERNEL_SYSCALLS__ is for and whether #defining it
in the Hub driver before #including unistd.h is a proper solution to the
problem.
(Yes! I'm a newbie to the Kernel World. :-)

Thanks in advance.

Hyun-Mo

unsubscribe: body of `unsubscribe linux-arm-kernel' to [email-masked]

---

From: Kunihiko IMAI <[email-masked]>
Date: Wed, 14 Jun 2000 21:28:19 +0900

Hello, 

At Wed, 14 Jun 2000 15:16:05 +0900,

> I'm porting USB Hub driver from 2.3.99 to rmk series of 2.2.2.

What is the CPU or architecture?  I am interested in.
Because I am also porting USB OHCI driver for SA1111 USB interface.

I had suffered from cache coherency problem.
It worked with 'nocache' kernel command line option , but did not work
without the option.

But, just now, it has worked with memory cache enabled.
Somewhat buggy at high layer, but it seems to work at OHCI layer.
I'm very very happy now :-)

Thanks.
_._. __._  _.. .  .___ ._. _____ _... ._ _._  _.._. .____  .__. ... .  _._

                                                             Kunihiko IMAI

---

From: Russell King - ARM Linux Admin <[email-masked]>
Date: Wed, 14 Jun 2000 19:29:32 +0100 (BST)

> The driver calls kernel_thread(), which never causes any trouble in 2.3.99,

Why do you use a known buggy version of the 2.2 series of kernels?
   _____
  |_____| ------------------------------------------------- ---+---+-
  |   |        Russell King       [email-masked]      --- ---
  | | | |            http://www.arm.linux.org.uk/            /  /  |
  | +-+-+                                                     --- -+-
  /   |               THE developer of ARM Linux              |+| /|\
 /  | | |                                                     ---  |
    +-+-+ -------------------------------------------------  /\\\  |

---

From: "Hyun-Mo Chung" <[email-masked]>
Date: Thu, 15 Jun 2000 09:44:39 +0900

> Because I am also porting USB OHCI driver for SA1111 USB interface.

I'm doing exactly the same work as what you do.

> It worked with 'nocache' kernel command line option , but did not work

I'm in the earliest stage of the work and have not yet gone through such a
problem.

> I'm very very happy now :-)

I'm very very envious of you :-)

Could you tell me which kernel version you are using ?
In my humble opinion, as for OHCI layer, there seems nothing to be done for
SA1111
because it is strictly compilant with the OHCI specification.

Hyun-Mo